Package org.eclipse.net4j.signal.security

# Class AuthenticatingSignalProtocol<INFRA_STRUCTURE extends org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.spi.net4j.Protocol<INFRA_STRUCTURE>
org.eclipse.net4j.signal.SignalProtocol<INFRA_STRUCTURE>
org.eclipse.net4j.signal.security.AuthenticatingSignalProtocol<INFRA_STRUCTURE>

All Implemented Interfaces:
  `IBufferHandler`, `ILocationAware`, `IProtocol<INFRA_STRUCTURE>`, `IProtocol2<INFRA_STRUCTURE>`, `IProtocol3<INFRA_STRUCTURE>`, `ISignalProtocol<INFRA_STRUCTURE>`, `ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>`, `org.eclipse.net4j.util.collection.Entity.Store.Provider`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`, `org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider`, `org.eclipse.net4j.util.security.IUserAware`

public class AuthenticatingSignalProtocol<INFRA_STRUCTURE extends org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider> extends SignalProtocol<INFRA_STRUCTURE> implements org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider
An abstract signal protocol that supports authentication.

Since:
  4.3
Author:
  Christian W. Damus (CEA LIST)

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.signal.SignalProtocol

`SignalProtocol.InvalidSignalIDException, SignalProtocol.TimeoutChangedEvent`

## Nested classes/interfaces inherited from class org.eclipse.spi.net4j.Protocol

`Protocol.InfraStructureChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.signal.ISignalProtocol

`ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>`

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.SignalProtocol

`COMPRESSED_STRINGS_ACKNOWLEDGE_TIMEOUT, SIGNAL_ACKNOWLEDGE_COMPRESSED_STRINGS, SIGNAL_ENTITY, SIGNAL_MONITOR_CANCELED, SIGNAL_MONITOR_PROGRESS, SIGNAL_REMOTE_EXCEPTION, SIGNAL_SET_TIMEOUT`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

### Fields inherited from interface org.eclipse.net4j.protocol.IProtocol2

`UNSPECIFIED_VERSION`

### Fields inherited from interface org.eclipse.net4j.signal.ISignalProtocol

`DEFAULT_TIMEOUT, NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticatingSignalProtocol(String type)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.util.security.IPasswordCredentialsProvider`
`getCredentialsProvider()`

### Methods inherited from class org.eclipse.net4j.signal.SignalProtocol

`addStreamWrapper, close, createSignalReactor, doBeforeDeactivate, doDeactivate, getEntityStore, getReceivedSignals, getSentSignals, getStreamWrapper, getStringCompressor, getTimeout, handleBuffer, handleChannelDeactivation, isSendingTimeoutChanges, open, provideSignalReactor, setStreamWrapper, setTimeout, setTimeout, toString, waitForSignals`

### Methods inherited from class org.eclipse.spi.net4j.Protocol

`doBeforeActivate, getBufferProvider, getChannel, getContainer, getExecutorService, getInfraStructure, getLocation, getType, getUserID, getVersion, isClient, isServer, setChannel, setExecutorService, setInfraStructure, setUserID`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, dump, getLifecycleState, isActive, isDeferredActivation`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

`getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol3

`doWhenFullyConnected`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Constructor Details

### AuthenticatingSignalProtocol

public AuthenticatingSignalProtocol(String type)

## Method Details

### getCredentialsProvider

public org.eclipse.net4j.util.security.IPasswordCredentialsProvider getCredentialsProvider()

Specified by:
  `getCredentialsProvider` in interface `org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider`